Changeset 2669 for ThirdParty/ASL


Ignore:
Timestamp:
Dec 1, 2012 2:46:16 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r2660 r2669  
    10711071                          icl/link). Default when mentioned: mingw. Default
    10721072                          when not mentioned: disabled.
    1073   --enable-static-standardlibs
    1074                           whether to link against static standard libraries
    1075                           (libgcc, libgfortran, libstdc++)
    10761073  --enable-static[=PKGS]
    10771074                          build static libraries [default=no]
     
    19411938echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19421939  fi
    1943 
    1944 
    1945 
    1946 # check whether to add flags for static linking against standard libraries
    1947 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1948 if test "${enable_static_standardlibs+set}" = set; then
    1949   enableval="$enable_static_standardlibs"
    1950   case "$enableval" in
    1951      no | yes | auto ) ;;
    1952      *)
    1953        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1954 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1955    { (exit 1); exit 1; }; } ;;
    1956    esac
    1957    use_static_standardlibs=$enableval
    1958 else
    1959   if test $enable_shared = yes ; then
    1960      use_static_standardlibs = no
    1961    else
    1962      use_static_standardlibs = auto
    1963    fi
    1964 
    1965 
    1966 fi;
    1967 
    1968 
    19691940
    19701941
     
    30933064    CFLAGS="$OPT_CFLAGS"
    30943065  fi
    3095 
    30963066else
    30973067  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32613231    ;;
    32623232esac
    3263 
    3264 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3265 if test x$use_static_standardlibs != xno ; then
    3266   case $build in
    3267     *-mingw*)
    3268       static_standardlib_flag=-static
    3269       ;;
    3270     *)
    3271       static_standardlib_flag=-static-libgcc
    3272       ;;
    3273   esac
    3274   case " $LDFLAGS " in
    3275     *" $static_standardlib_flag "* ) ;;
    3276     *)
    3277     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3278 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3279     coin_save_LDFLAGS="$LDFLAGS"
    3280     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3281     cat >conftest.$ac_ext <<_ACEOF
    3282 /* confdefs.h.  */
    3283 _ACEOF
    3284 cat confdefs.h >>conftest.$ac_ext
    3285 cat >>conftest.$ac_ext <<_ACEOF
    3286 /* end confdefs.h.  */
    3287 
    3288 int
    3289 main ()
    3290 {
    3291 int i=0;
    3292   ;
    3293   return 0;
    3294 }
    3295 _ACEOF
    3296 rm -f conftest.$ac_objext conftest$ac_exeext
    3297 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3298   (eval $ac_link) 2>conftest.er1
    3299   ac_status=$?
    3300   grep -v '^ *+' conftest.er1 >conftest.err
    3301   rm -f conftest.er1
    3302   cat conftest.err >&5
    3303   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3304   (exit $ac_status); } &&
    3305          { ac_try='test -z "$ac_c_werror_flag"
    3306                          || test ! -s conftest.err'
    3307   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3308   (eval $ac_try) 2>&5
    3309   ac_status=$?
    3310   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3311   (exit $ac_status); }; } &&
    3312          { ac_try='test -s conftest$ac_exeext'
    3313   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3314   (eval $ac_try) 2>&5
    3315   ac_status=$?
    3316   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3317   (exit $ac_status); }; }; then
    3318   echo "$as_me:$LINENO: result: yes" >&5
    3319 echo "${ECHO_T}yes" >&6
    3320 else
    3321   echo "$as_me: failed program was:" >&5
    3322 sed 's/^/| /' conftest.$ac_ext >&5
    3323 
    3324 echo "$as_me:$LINENO: result: no" >&5
    3325 echo "${ECHO_T}no" >&6
    3326        LDFLAGS="$coin_save_LDFLAGS"
    3327        if test $use_static_standardlibs = yes ; then
    3328          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3329 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3330    { (exit 1); exit 1; }; }
    3331        fi
    3332 
    3333 fi
    3334 rm -f conftest.err conftest.$ac_objext \
    3335       conftest$ac_exeext conftest.$ac_ext
    3336     ;;
    3337   esac
    3338 fi
    33393233
    33403234ac_ext=c
     
    49594853*-*-irix6*)
    49604854  # Find out which ABI we are using.
    4961   echo '#line 4961 "configure"' > conftest.$ac_ext
     4855  echo '#line 4855 "configure"' > conftest.$ac_ext
    49624856  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    49634857  (eval $ac_compile) 2>&5
     
    65586452
    65596453# Provide some information about the compiler.
    6560 echo "$as_me:6560:" \
     6454echo "$as_me:6454:" \
    65616455     "checking for Fortran 77 compiler version" >&5
    65626456ac_compiler=`set X $ac_compile; echo $2`
     
    76257519   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76267520   -e 's:$: $lt_compiler_flag:'`
    7627    (eval echo "\"\$as_me:7627: $lt_compile\"" >&5)
     7521   (eval echo "\"\$as_me:7521: $lt_compile\"" >&5)
    76287522   (eval "$lt_compile" 2>conftest.err)
    76297523   ac_status=$?
    76307524   cat conftest.err >&5
    7631    echo "$as_me:7631: \$? = $ac_status" >&5
     7525   echo "$as_me:7525: \$? = $ac_status" >&5
    76327526   if (exit $ac_status) && test -s "$ac_outfile"; then
    76337527     # The compiler can only warn and ignore the option if not recognized
     
    78937787   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78947788   -e 's:$: $lt_compiler_flag:'`
    7895    (eval echo "\"\$as_me:7895: $lt_compile\"" >&5)
     7789   (eval echo "\"\$as_me:7789: $lt_compile\"" >&5)
    78967790   (eval "$lt_compile" 2>conftest.err)
    78977791   ac_status=$?
    78987792   cat conftest.err >&5
    7899    echo "$as_me:7899: \$? = $ac_status" >&5
     7793   echo "$as_me:7793: \$? = $ac_status" >&5
    79007794   if (exit $ac_status) && test -s "$ac_outfile"; then
    79017795     # The compiler can only warn and ignore the option if not recognized
     
    79977891   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79987892   -e 's:$: $lt_compiler_flag:'`
    7999    (eval echo "\"\$as_me:7999: $lt_compile\"" >&5)
     7893   (eval echo "\"\$as_me:7893: $lt_compile\"" >&5)
    80007894   (eval "$lt_compile" 2>out/conftest.err)
    80017895   ac_status=$?
    80027896   cat out/conftest.err >&5
    8003    echo "$as_me:8003: \$? = $ac_status" >&5
     7897   echo "$as_me:7897: \$? = $ac_status" >&5
    80047898   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80057899   then
     
    1034210236  lt_status=$lt_dlunknown
    1034310237  cat > conftest.$ac_ext <<EOF
    10344 #line 10344 "configure"
     10238#line 10238 "configure"
    1034510239#include "confdefs.h"
    1034610240
     
    1044210336  lt_status=$lt_dlunknown
    1044310337  cat > conftest.$ac_ext <<EOF
    10444 #line 10444 "configure"
     10338#line 10338 "configure"
    1044510339#include "confdefs.h"
    1044610340
     
    1278612680   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1278712681   -e 's:$: $lt_compiler_flag:'`
    12788    (eval echo "\"\$as_me:12788: $lt_compile\"" >&5)
     12682   (eval echo "\"\$as_me:12682: $lt_compile\"" >&5)
    1278912683   (eval "$lt_compile" 2>conftest.err)
    1279012684   ac_status=$?
    1279112685   cat conftest.err >&5
    12792    echo "$as_me:12792: \$? = $ac_status" >&5
     12686   echo "$as_me:12686: \$? = $ac_status" >&5
    1279312687   if (exit $ac_status) && test -s "$ac_outfile"; then
    1279412688     # The compiler can only warn and ignore the option if not recognized
     
    1289012784   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289112785   -e 's:$: $lt_compiler_flag:'`
    12892    (eval echo "\"\$as_me:12892: $lt_compile\"" >&5)
     12786   (eval echo "\"\$as_me:12786: $lt_compile\"" >&5)
    1289312787   (eval "$lt_compile" 2>out/conftest.err)
    1289412788   ac_status=$?
    1289512789   cat out/conftest.err >&5
    12896    echo "$as_me:12896: \$? = $ac_status" >&5
     12790   echo "$as_me:12790: \$? = $ac_status" >&5
    1289712791   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1289812792   then
     
    1446014354   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1446114355   -e 's:$: $lt_compiler_flag:'`
    14462    (eval echo "\"\$as_me:14462: $lt_compile\"" >&5)
     14356   (eval echo "\"\$as_me:14356: $lt_compile\"" >&5)
    1446314357   (eval "$lt_compile" 2>conftest.err)
    1446414358   ac_status=$?
    1446514359   cat conftest.err >&5
    14466    echo "$as_me:14466: \$? = $ac_status" >&5
     14360   echo "$as_me:14360: \$? = $ac_status" >&5
    1446714361   if (exit $ac_status) && test -s "$ac_outfile"; then
    1446814362     # The compiler can only warn and ignore the option if not recognized
     
    1456414458   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456514459   -e 's:$: $lt_compiler_flag:'`
    14566    (eval echo "\"\$as_me:14566: $lt_compile\"" >&5)
     14460   (eval echo "\"\$as_me:14460: $lt_compile\"" >&5)
    1456714461   (eval "$lt_compile" 2>out/conftest.err)
    1456814462   ac_status=$?
    1456914463   cat out/conftest.err >&5
    14570    echo "$as_me:14570: \$? = $ac_status" >&5
     14464   echo "$as_me:14464: \$? = $ac_status" >&5
    1457114465   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1457214466   then
     
    1677116665   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1677216666   -e 's:$: $lt_compiler_flag:'`
    16773    (eval echo "\"\$as_me:16773: $lt_compile\"" >&5)
     16667   (eval echo "\"\$as_me:16667: $lt_compile\"" >&5)
    1677416668   (eval "$lt_compile" 2>conftest.err)
    1677516669   ac_status=$?
    1677616670   cat conftest.err >&5
    16777    echo "$as_me:16777: \$? = $ac_status" >&5
     16671   echo "$as_me:16671: \$? = $ac_status" >&5
    1677816672   if (exit $ac_status) && test -s "$ac_outfile"; then
    1677916673     # The compiler can only warn and ignore the option if not recognized
     
    1703916933   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1704016934   -e 's:$: $lt_compiler_flag:'`
    17041    (eval echo "\"\$as_me:17041: $lt_compile\"" >&5)
     16935   (eval echo "\"\$as_me:16935: $lt_compile\"" >&5)
    1704216936   (eval "$lt_compile" 2>conftest.err)
    1704316937   ac_status=$?
    1704416938   cat conftest.err >&5
    17045    echo "$as_me:17045: \$? = $ac_status" >&5
     16939   echo "$as_me:16939: \$? = $ac_status" >&5
    1704616940   if (exit $ac_status) && test -s "$ac_outfile"; then
    1704716941     # The compiler can only warn and ignore the option if not recognized
     
    1714317037   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1714417038   -e 's:$: $lt_compiler_flag:'`
    17145    (eval echo "\"\$as_me:17145: $lt_compile\"" >&5)
     17039   (eval echo "\"\$as_me:17039: $lt_compile\"" >&5)
    1714617040   (eval "$lt_compile" 2>out/conftest.err)
    1714717041   ac_status=$?
    1714817042   cat out/conftest.err >&5
    17149    echo "$as_me:17149: \$? = $ac_status" >&5
     17043   echo "$as_me:17043: \$? = $ac_status" >&5
    1715017044   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1715117045   then
     
    2019420088# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    2019520089if test "x${prefix}" = xNONE ; then
    20196   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    20197 else
    20198   COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20090  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20091else
     20092  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    2019920093fi
    2020020094
Note: See TracChangeset for help on using the changeset viewer.